defstar {
	name {dau}
	domain {SDF}
        desc {
digital-analog-converter:
This star computes alpha*U_ref*(2*input-1), the typical
feedback in our A/D modulator models.
        }
        version {@(#)SDFdau.pl	1.0 AUG/6/98}
	author { F. Schilder }
	copyright {
Copyright (c) 1998 by Frank Schilder. All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
	}
	location { A/D converter simulation package }

        input {
            name { yinput }
            type { float }
 	}
        output {
            name { youtput }
            type { float }
	}
        state {
            name { U_ref }
            default { "1.0" }
            type { float }
            desc { reference current }
            attributes { A_CONSTANT | A_SETTABLE }
        }
        state {
            name { alpha }
            default { "1.0" }
            type { float }
            desc { (inverse) feedback resitance }
            attributes { A_CONSTANT | A_SETTABLE }
        }
 
	go {
            youtput%0 << alpha*U_ref*(2.0*double(yinput%0)-1.0);
	}
}
