defstar {
	name {binquant}
	domain {SDF}
        desc {
(fast) binary quantizer:
This Star compares the input with the limit s
and outputs 1 if input >= s and 0 otherwise.
        }
        version {@(#)SDFbinquant.pl	1.0 AUG/6/98}
	author { F. Schilder }
	copyright {
Copyright (c) 1998 by Frank Schilder. All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
	}
	location { A/D converter simulation package }

        input {
            name { uInput }
            type { float_matrix_env }
 	}
        output {
            name { uOutput }
            type { float }
        }
        output {
            name { feedOut }
            type { float }
	}
        ccinclude { <iostream.h>, <Matrix.h> }
        state {
            name { s }
            default { "0.0" }
            type { float }
            desc { compare level }
            attributes { A_CONSTANT | A_SETTABLE }
        }
 
	go {
            Envelope uVector;
            (uInput%0).getMessage(uVector);
            const FloatMatrix& nextU = *(const FloatMatrix *) uVector.myData();
            uOutput%0 << double( nextU.entry(0) >= s );
            feedOut%0 << double( nextU.entry(0) >= s );
	}
}
