defstar {
	name {f2m}
	domain {SDF}
        desc {
float to matrix conversion:
This star converts a float into an one-dimansional vector.
        }
        version {@(#)SDFf2m.pl	1.0 AUG/6/98}
	author { F. Schilder }
	copyright {
Copyright (c) 1998 by Frank Schilder. All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
	}
	location { A/D converter simulation package }

        input {
            name { uInput }
            type { float }
 	}
        output {
            name { uOutput }
            type { float_matrix_env }
	}
        ccinclude { <Matrix.h> }
 
	go {
            FloatMatrix& OutVector = *(new FloatMatrix(1, 1));
            OutVector.entry(0) = double( uInput%0 );
            uOutput%0 << OutVector;
	}
}
